MAXPRO logo
MAXPRO logo

All collections

What are the app requirements?

The MAXPRO Fitness app is compatible with Android phones running Android 5+ and Apple phones running iOS 11 or older. Both require that your device is BLE 3.0 or older.
If you're unsure if your phone meets the requirements, you can check the phone's specs here or consult your phone manual.

Was this article helpful?
Yes
No